// alxPlay();      

/////////////////////////////////////////////////////////////////////////////////////////////////////

new AudioDescription(AudioNonLoopingFull)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
};

new AudioDescription(AudioLoopingFull)
{
   volume   = 1.0;
   isLooping= true;
   is3D     = false;
};

new AudioDescription(AudioNonLoopingLow)
{
   volume   = ".3";
   isLooping= false;
   is3D     = false;
};


new AudioDescription(AudioLoopingLow)
{
   volume   = ".3";
   isLooping= true;
   is3D     = false;
};

new AudioDescription(AudioLoopingVehicle)
{
   volume   = ".5";
   isLooping= true;
   is3D     = false;
};

new AudioDescription(ExplosionLow)
{
   volume   = ".7";
   isLooping= false;
   is3D     = false;
};


// sounds

new AudioProfile(buzzer)
{
   filename = "~/data/audio/buzzer.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(goodbeep)
{
   filename = "~/data/audio/goodbeep.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

// guns low

new AudioProfile(gun1low)
{
   filename = "~/data/audio/guns/automatic1_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun2low)
{
   filename = "~/data/audio/guns/automatic2_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun3low)
{
   filename = "~/data/audio/guns/automatic3_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun4low)
{
   filename = "~/data/audio/guns/automatic4_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun5low)
{
   filename = "~/data/audio/guns/automatic5_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun6low)
{
   filename = "~/data/audio/guns/automatic6_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun7low)
{
   filename = "~/data/audio/guns/automatic7_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun8low)
{
   filename = "~/data/audio/guns/automatic8_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun9low)
{
   filename = "~/data/audio/guns/automatic_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun10low)
{
   filename = "~/data/audio/guns/automatic10_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun11low)
{
   filename = "~/data/audio/guns/automatic11_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun12low)
{
   filename = "~/data/audio/guns/automatic12_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};
new AudioProfile(gun13low)
{
   filename = "~/data/audio/guns/automatic13_loop.wav";
   description = "AudioNonLoopinglow";
   preload = false;
};

// guns loud

new AudioProfile(gun1)
{
   filename = "~/data/audio/guns/automatic1_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun2)
{
   filename = "~/data/audio/guns/automatic2_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun3)
{
   filename = "~/data/audio/guns/automatic3_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun4)
{
   filename = "~/data/audio/guns/automatic4_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun5)
{
   filename = "~/data/audio/guns/automatic5_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun6)
{
   filename = "~/data/audio/guns/automatic6_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun7)
{
   filename = "~/data/audio/guns/automatic7_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun8)
{
   filename = "~/data/audio/guns/automatic8_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun9)
{
   filename = "~/data/audio/guns/automatic_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun10)
{
   filename = "~/data/audio/guns/automatic10_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun11)
{
   filename = "~/data/audio/guns/automatic11_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun12)
{
   filename = "~/data/audio/guns/automatic12_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
new AudioProfile(gun13)
{
   filename = "~/data/audio/guns/automatic13_loop.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

function AudioFireGunsLoud()
{
   %rand = getRandom(1, 13);   
   %sound = "gun" @ %rand;
   alxPlay(%sound);      
}

function AudioFireGunsLow()
{
   %rand = getRandom(1, 13);   
   %sound = "gun" @ %rand @ "low";
   alxPlay(%sound);      
}

// explosions ////////////////////////////

new AudioProfile(explosion1)
{
   filename = "~/data/audio/explosions/explosion1.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(explosion2)
{
   filename = "~/data/audio/explosions/explosion2.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(explosion3)
{
   filename = "~/data/audio/explosions/explosion3.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(explosion1low)
{
   filename = "~/data/audio/explosions/explosion1.wav";
   description = "ExplosionLow";
   preload = false;
};

new AudioProfile(explosion2low)
{
   filename = "~/data/audio/explosions/explosion2.wav";
   description = "ExplosionLow";
   preload = false;
};

new AudioProfile(explosion3low)
{
   filename = "~/data/audio/explosions/explosion3.wav";
   description = "ExplosionLow";
   preload = false;
};

function AudioExplosionLow()
{
   %rand = getRandom(1, 3);   
   %sound = "explosion" @ %rand @ "low";
   alxPlay(%sound);      
}

function AudioExplosionLoud()
{
   %rand = getRandom(1, 3);   
   %sound = "explosion" @ %rand;
   alxPlay(%sound);      
}


// GUI

new AudioProfile(click)
{
   filename = "~/data/audio/click.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(buttonover)
{
   filename = "~/data/audio/buttonover.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

/////////////////// vehicle sounds

new AudioProfile(crash)
{
   filename = "~/data/audio/vehicles/crash.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(backfire)
{
   filename = "~/data/audio/vehicles/backfire.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(trucks)
{
   filename = "~/data/audio/vehicles/trucks.wav";
   description = "AudioLoopingVehicle";
   preload = false;
};

new AudioProfile(cars)
{
   filename = "~/data/audio/vehicles/cars.wav";
   description = "AudioLoopingVehicle";
   preload = false;
};

new AudioProfile(upgrade)
{
   filename = "~/data/audio/upgrade.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(introsong)
{
   filename = "~/data/audio/intro_song.ogg";
   description = "AudioLoopingVehicle";
   preload = false;
};

new AudioProfile(wind)
{
   filename = "~/data/audio/wind.ogg";
   description = "AudioLoopingFull";
   preload = false;
};

new AudioProfile(mapmove)
{
   filename = "~/data/audio/vehicles/trucks.wav";
   description = "AudioLoopingFull";
   preload = false;
};

new AudioProfile(mapmove)
{
   filename = "~/data/audio/vehicles/trucks.wav";
   description = "AudioLoopingFull";
   preload = false;
};

new AudioProfile(mapmove)
{
   filename = "~/data/audio/vehicles/trucks.wav";
   description = "AudioLoopingFull";
   preload = false;
};

new AudioProfile(EndVehicleBattle)
{
   filename = "~/data/audio/EndBattle/endvehiclebattle.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(EndInfantryBattle)
{
   filename = "~/data/audio/EndBattle/endinfantrybattle.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(crossbow1)
{
   filename = "~/data/audio/crossbow.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(crossbow2)
{
   filename = "~/data/audio/crossbow1.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(crossbow1Low)
{
   filename = "~/data/audio/crossbow.wav";
   description = "AudioNonLoopingLow";
   preload = false;
};

new AudioProfile(crossbow2Low)
{
   filename = "~/data/audio/crossbow1.wav";
   description = "AudioNonLoopingLow";
   preload = false;
};

new AudioProfile(marching)
{
   filename = "~/data/audio/marching.ogg";
   description = "AudioLoopingFull";
   preload = false;
};

new AudioProfile(VehicleExplosion)
{
   filename = "~/data/audio/explosions/VehicleExplosion.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(RPGFiring)
{
   filename = "~/data/audio/rpg.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(Flamer)
{
   filename = "~/data/audio/flamer.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};

new AudioProfile(Burning)
{
   filename = "~/data/audio/burning.wav";
   description = "AudioNonLoopingFull";
   preload = false;
};
